Skip to content

Your data / Profile & preferences

PATCH
https://ba.joexyz.online/api/v1/me/preferences

Updates preferences. Each group you send (timelineVisualizer, formationDisplay, bond, pvp) is merged into the stored one.

Authentication

Bearer Token — send Authorization: Bearer <token>. Inherited from folder "Your data".

Headers

NameValue
Content-Typeapplication/json

Bodyapplication/json

{
  "pvp": {
    "hideEmptyAgendaDays": true
  }
}
curl -X PATCH https://ba.joexyz.online/api/v1/me/preferences \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {{api_key}}' \
  --data-raw '{
  "pvp": {
    "hideEmptyAgendaDays": true
  }
}'
Response
{
  "data": {
    "bond": {
      "autoPopulateSingleTargetGifts": false
    },
    "formationDisplay": {
      "defaultDisplayOverline": false,
      "defaultGroupsVertical": false,
      "defaultLevel": 90,
      "defaultLevelEnabled": true,
      "defaultNoDisplayRole": false,
      "defaultRowGap": 8,
      "defaultScale": 4
    },
    "pvp": {
      "hideEmptyAgendaDays": true,
      "includeMatchesInStatisticsByDefault": true
    },
    "timelineVisualizer": {
      "defaultExportBackgroundColor": "#000000",
      "defaultExportBackgroundOpacity": 100,
      "defaultExportWithTransparentBackground": true,
      "defaultHorizontalSeparatorSize": 50,
      "defaultItemSpacing": -6,
      "defaultScale": 4,
      "defaultShowCreator": true,
      "defaultVerticalSeparatorSize": 50,
      "defaultVisibility": "public",
      "triggerAutoFocus": true
    }
  }
}

Joe's Blue Archive Tools API · exported Nov 1, 2026

llms.txtBuilt with yaakdoc